Subject: Re: [bitcoin-dev] Interpreting nTime for the purpose of Bitcoin-attested timestamps

From: Tom Harding <[email-masked]>
Date: Mon, 19 Sep 2016 12:53:46 -0700

On 9/19/2016 10:56 AM, Peter Todd wrote:
> I should state that assumption more clearly.

Glad to get you thinking, and I need to change my suggestion.  The
catch-up formula is not applicable because it doesn't limit how long the
dishonest miners have to catch up.

Instead you want the probability that the honest miners can build a
chain N blocks long before the dishonest miners do the same, which is

CDF[Erlang(N, q) - Erlang(N, 1 - q), 0]

I have some apparatus for doing this numerically without simulation if
you're interested.